 use "C:\Users\sincobilem\Desktop\SAFETP Residency Docs\COMH 7060A protocol writing\Manuscript Writing\HDR Finalo.dta"

*New age categorical variable* 
encode Ageyrs , gen(nAgeyrs)
label variable nAgeyrs "Subject's age in years"

gen age_cat= nAgeyrs
replace age_cat=1 if nAgeyrs<=19
replace age_cat=2 if nAgeyrs>19 & nAgeyrs<=34
replace age_cat=3 if nAgeyrs>34 & nAgeyrs<=49
replace age_cat=4 if nAgeyrs>49 & nAgeyrs<=59
replace age_cat=5 if nAgeyrs>=60

label variable age_cat "Subject's agegroup in years"
label define age_catl 1 "0-19years" 2 "20-34years" 3 "35-49years" 4 "50-59years" 5 "60 years and above"
label values age_cat age_catl
tab Ageyrs

*Changing facility from string to numeric
encode HealthFacilityadmittedintof, gen(nAdmittingFacility)
label variable nAdmittingFacility "Facility Admitted2"

*Changing sex from string to numeric variable*
encode Sex, gen(nSex)
label variable nSex "The gender of the subject"

*Changing variables from string to numeric variables*
encode Hypertension, gen(nHypertension)
codebook nHypertension
recode nHypertension (1=0)(2=1)
label variable nHypertension "Is the subject hypertensive"
label define nHypertensionl 0 "No" 1 "Yes"
label values nHypertension nHypertensionl
tab nHypertension

encode Diabetes, gen(nDiabetes)
codebook nDiabetes
recode nDiabetes (0=0) (1=0) (2=1)
label variable nDiabetes "Is the subject Diabetic"
label define nDiabetesl 0 "No" 1 "Yes"
label values nDiabetes nDiabetesl
tab nDiabetes

encode Obesity, gen(nObesity)
codebook nObesity
recode nObesity (0=0) (1=0) (2=1)
label variable nObesity "Is the subject obese"
label define nObesityl 0 "No" 1 "Yes"
label values nObesity nObesityl
tab nObesity

encode Pregnancy, gen(nPregnancy)
codebook nPregnancy
recode nPregnancy (0=0) (1=0) (2=1)
label variable nPregnancy "Is the subject pregnant"
label define nPregnancyl 0 "No" 1 "Yes"
label values nPregnancy nPregnancyl
tab nPregnancy

encode Arthritis, gen(nArthritis)
codebook nArthritis
recode nArthritis (0=0) (1=0) (2=1)
label variable nArthritis "Does the subject suffer from arthritis"
label define nArthritisl 0 "No" 1 "Yes"
label values nArthritis nArthritisl
tab nArthritis

encode Asthma , gen(nAsthma)
codebook nAsthma
recode nAsthma (0=0) (1=0) (2=1)
label variable nAsthma "Is the subject asthmatic"
label define nAsthmal 0 "No" 1 "Yes"
label values nAsthma nAsthmal
tab nAsthma

encode HIV, gen(nHIV)
codebook nHIV
recode nHIV (1=0)(2=1)
label variable nHIV "Is the subject HIV+"
label define nHIVl 0 "No" 1 "Yes"
label values nHIV nHIVl
tab nHIV

encode TB, gen(nTB)
codebook nTB
recode nTB (0=0) (1=0) (2=1)
label variable nTB "Did the subject have TB"
label define nTBl 0 "No" 1 "Yes"
label values nTB nTBl
tab nTB

encode Admittedtohealthfacility, gen(nAdmitted)
codebook nAdmitted
recode nAdmitted (0=0) (1=0) (2=1)
label variable nAdmitted "Was the client admitted"
label define nAdmitted1 0 "No" 1 "Yes"
label values nAdmitted nAdmitted1
tab nAdmitted

encode Other, gen(nOther)
codebook nOther
recode nOther (0=0) (1=0) (2=1)
label variable nOther "Dd the subject have any other pre-xisting condition"
label define nOtherl 0 "No" 1 "Yes"
label values nOther nOtherl
tab nOther

*New variable combining all preconditions*
gen precond2=nHypertension+nDiabetes+nObesity+nPregnancy+nArthritis+nAsthma+nHIV+nTB+nOther
codebook precond2
recode precond2 (0=0) (1=1) (2=1) (3=1) (4=1) (5=1) (6=1)
label variable precond2 "Pre-existing conditions by the subject"
label define precond2l 0 "No" 1 "Yes"
label values precond2 precond2l
tab precond2
//Additional analysis//

gen pprecond= nHypertension+nDiabetes+nObesity+nPregnancy+nArthritis+nAsthma+nHIV+nTB+nAdmitted+nOther
tab pprecond
recode pprecond (0=0) (1=1) (2=2) (3=2) (4=2) (5=2)
label variable pprecond "Pre-existing condition"
label define pprecond1 0 "No pre-existing condition" 1 "1 pre-existing condition" 2 "2 or more pre-existing conditions"
label values pprecond pprecond1
tab pprecond


gen age_cat= nAgeyrs
replace age_cat=1 if nAgeyrs<=19
replace age_cat=2 if nAgeyrs>19 & nAgeyrs<=34
replace age_cat=3 if nAgeyrs>34 & nAgeyrs<=49
replace age_cat=4 if nAgeyrs>49 & nAgeyrs<=59
replace age_cat=5 if nAgeyrs>=60

label variable age_cat "Subject's agegroup in years"
label define age_catl 1 "0-19years" 2 "20-34years" 3 "35-49years" 4 "50-59years" 5 "60 years and above"
label values age_cat age_catl
tab Ageyrs




*describing vaccination history - use in table 1*
tab Vaccinated

*New variable representing severity of symptoms at diagnosis*
tab Patient_SeverityatDiagnosis
encode Patient_SeverityatDiagnosis , gen(nseverity)
codebook nseverity
tab nseverity
gen nseverity2=.
replace nseverity2=1 if nseverity==1
replace nseverity2=2 if nseverity==2
replace nseverity2=3 if nseverity==3
replace nseverity2=4 if nseverity==4
replace nseverity2=5 if nseverity==.
label variable nseverity2 "subject's severity of symptoms on diagnosis"
label define nseverity2l 1 "Asymptomatic" 2 "Mild Disease" 3 "Moderate Disease" 4 "Severe Disease" 5 "Missing"
label values nseverity2 nseverity2l
tab nseverity2

*New variable representing death - dependent outcome*
codebook Outcome
encode Outcome , gen(nOutcome)
recode nOutcome (0=0) (1=0) (2=1)
recode nOutcome (1=1) (2=0)
label variable nOutcome "subject is dead or alive"
label define nOutcomel 0 "Alive" 1 "Deceased"
label values nOutcome nOutcomel
tab nOutcome

**a descriptive analysis, Means (with standard deviation) for continuous variables OR medians (with interquartile ranges [IQRs] and 95% CIs) according to distribution frequencies and proportions for categorical variables
table1, vars( age_cat cat\ nSex cat\ nHypertension cat\ nDiabetes cat\ nObesity cat\ nPregnancy cat\ nArthritis cat\ nAsthma cat\ nHIV cat\ nTB cat\nAdmitted cat\ nOther cat\ nseverity2 cat\pprecond cat\precond2 cat) format(%2.1f) by(nOutcome) saving(auto.xls, replace)

**Case Fatality Ratio
 
tab nOutcome age_cat, chi row
tab nOutcome nSex, chi row
tab nOutcome nHypertension, chi row
tab nOutcome nDiabetes, chi row
tab nOutcome nObesity, chi row
tab nOutcome nPregnancy, chi row
tab nOutcome nArthritis, chi row
tab nOutcome nAsthma, chi row
tab nOutcome nHIV, chi row
tab nOutcome nTB, chi row
tab nOutcome nAdmitted, chi row
tab nOutcome nseverity2, chi row
tab nOutcome nOther, chi row
tab nOutcome pprecond, chi row
tab nOutcome precond2, chi row
*tab nOutcome nAdmittingFacility, chi row

*Multivariable analysis - backward forward selection*

*Automatic backward selection*
xi:stepwise logistic nOutcome, (i.age_cat) (i.nSex) (i.nHypertension) (i.nDiabetes) (i.nObesity) (i.nAdmitted) (i.nseverity2) (i.nHIV) (i.pprecond) (i.precond2), pe(0.05)

*Automatic forward selection*
xi:stepwise logistic nOutcome, (i.age_cat) (i.nSex) (i.nHypertension) (i.nDiabetes) (i.nObesity) (i.nAdmitted) (i.nseverity2) (i.nHIV) (i.pprecond) (i.precond2), pr(0.05)

*Check goodness of fit
estat gof

*Multivariable analysis - manual variable selection:univariate logistic regression*
logistic nOutcome i.age_cat
logistic nOutcome i.nSex
logistic nOutcome i.nHypertension
logistic nOutcome i.nDiabetes
logistic nOutcome i.nObesity
logistic nOutcome i.nAdmitted
logistic nOutcome i.nseverity2
logistic nOutcome i.pprecond
logistic nOutcome i.precond2
logistic nOutcome i.nHIV

//Eliminated variable Arthritis and tb because of empty cells; and HIV - not significant at p level 0.2//

*Multivariate logistic regression* 
logistic nOutcome i.age_cat i.nSex i.nHypertension i.nDiabetes i.nObesity i.nAdmitted i.nseverity2 i.nHIV  i.pprecond i.precond2







